Subject: Re: bug#54378: Still build failed with USE='gtk -X gui'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Mar 2022 18:58:40 +0200

> Resent-From: "nuil" <[email-masked]>
> Original-Sender: "Debbugs-submit" <[email-masked]>
> Resent-CC: [email-masked]
> Resent-Sender: [email-masked]
> From: "nuil" <[email-masked]>
> Date: Tue, 15 Mar 2022 14:21:26 +0800
> 
> 
> [1:text/plain Show]
> 
> 
> [2:text/html Hide Save:noname (705B)]
> 
> Sorry that I may not fully understand you because of my poor English.
> I have tried to build with USE='gtk -X gui', and it still failed
> 
> This is the error I got:
> /usr/bin/x86_64-pc-linux-gnu-ld: pgtkterm.o: undefined reference to symbol 'dlsym@@GLIBC_2.2.5'
> /usr/bin/x86_64-pc-linux-gnu-ld: /lib64/libdl.so.2: error adding symbols: DSO missing from command line
> clang-13: error: linker command failed with exit code 1 (use -v to see invocation)

I guess this means that configuration needs a configure-time test for
linking against libdl, as some systems do need that separate library
to have dlopen/dlsym/etc.